Bug 196691 - fc5 with updates netatalk stops working
fc5 with updates netatalk stops working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 11:12 EDT by Charles Weber
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Weber 2006-06-26 11:12:40 EDT
Description of problem:
I just upgraded HP dl585 from fedora core 3 to 5 with current updates as of today.
This was a clean install updates. thisis a storage server running samba, ldap,
netatalk and snmp.
kernel 2.6.16-1.2133_FC5 #1 SMP is the kernel installed. Everything works fine
except netatalk 2.03 as supplied with FC5.
Here is the dmesg from the appletalk kernel module.
PU 1
Modules linked in: nfs sg appletalk nfsd lockd nfs_acl ipv6 autofs4 sunrpc xfs
exportfs dm_mirror dm_mod video button battery ac lp parport_pc parport floppy
nvram tg3 hw_random i2c_amd756 i2c_core ext3 jbd cciss sd_mod scsi_mod
Pid: 26626, comm: afpd Not tainted 2.6.16-1.2133_FC5 #1
RIP: 0010:[<ffffffff8832b47f>] <ffffffff8832b47f>{:appletalk:atalk_sendmsg+300}
RSP: 0018:ffff8101e273bc08  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8101556b4c00 RCX: 000000004497e947
RDX: 0000000000000000 RSI: ffff8101d77e7040 RDI: ffffffff88330a60
RBP: 0000000000000008 R08: ffff8101556b4c00 R09: 0000000000000010
R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
R13: ffff8101e273be68 R14: ffff8101e273bcc8 R15: ffff8101e273bee8
FS:  00002aaaaaac3ff0(0000) GS:ffff8101fff87540(0000) knlGS:00000000f7fe8ab0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 00000001cb5d0000 CR4: 00000000000006e0
Process afpd (pid: 26626, threadinfo ffff8101e273a000, task ffff810116800040)
Stack: 0000000000000023 00000023ffffffa6 0000000000000001 0000000000000000
       ffff8100bb66b298 ffffffff801632b2 0000000000010246 ffff8101e273bce8
       ffff810003447c40 ffffffff8019a00c
Call Trace: <ffffffff801632b2>{make_ahead_window+132}
       <ffffffff8019a00c>{touch_atime+103}
<ffffffff8832a05c>{:appletalk:__lock_atalk_dgram_sendmsg+45}
       <ffffffff802d9fd6>{sock_sendmsg+240}
<ffffffff8014658a>{autoremove_wake_function+0}
       <ffffffff80160719>{__pagevec_free+42} <ffffffff801639e2>{release_pages+458}
       <ffffffff801697af>{unmap_vmas+1293} <ffffffff802db7e4>{sys_sendto+232}
       <ffffffff8016ca70>{remove_vma+110} <ffffffff8010a7ba>{system_call+126}

Code: 4c 8b 32 0f b7 f5 8b 4c 24 0c 8d 74 0e 0c 48 8d 4c 24 4c 41
RIP <ffffffff8832b47f>{:appletalk:atalk_sendmsg+300} RSP <ffff8101e273bc08>
CR2: 0000000000000000
 <6>IPVS: Registered protocols (TCP, UDP, AH, ESP)
IPVS: Connection hash table configured (size=4096, memory=64Kbytes)
IPVS: ipvs loaded.
Unable to handle kernel NULL pointer dereference at 0000000000000000 RIP:
<ffffffff8832b47f>{:appletalk:atalk_sendmsg+300}
PGD 1cf3e6067 PUD 1251e4067 PMD 0
Oops: 0000 [4] SMP
last sysfs file: /devices/pci0000:00/0000:00:04.3/i2c-0/name
CPU 1
Modules linked in: ip_vs nfs sg appletalk nfsd lockd nfs_acl ipv6 autofs4 sunrpc
xfs exportfs dm_mirror dm_mod video button battery ac lp parport_pc parport
floppy nvram tg3 hw_random i2c_amd756 i2c_core ext3 jbd cciss sd_mod scsi_mod
Pid: 16422, comm: afpd Not tainted 2.6.16-1.2133_FC5 #1
RIP: 0010:[<ffffffff8832b47f>] <ffffffff8832b47f>{:appletalk:atalk_sendmsg+300}
RSP: 0018:ffff810164127c08  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff81018fff7800 RCX: 00000000449ff438
RDX: 0000000000000000 RSI: ffff8101c488eb80 RDI: ffffffff88330a60
RBP: 0000000000000008 R08: ffff81018fff7800 R09: 0000000000000010
R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000000
R13: ffff810164127e68 R14: ffff810164127cc8 R15: ffff810164127ee8
FS:  00002aaaaaac1ff0(0000) GS:ffff8101fff87540(0000) knlGS:00000000f7fe8ab0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000149b91000 CR4: 00000000000006e0
Process afpd (pid: 16422, threadinfo ffff810164126000, task ffff8101825d7860)
Stack: 0000000000000023 00000023ffffffa6 0000000000000001 0000000000000000
       ffff81016220a298 ffffffff801632b2 ffff81016220a138 ffff810164127ce8
       ffff8101018fc780 ffffffff8019a00c
Call Trace: <ffffffff801632b2>{make_ahead_window+132}
       <ffffffff8019a00c>{touch_atime+103}
<ffffffff8832a05c>{:appletalk:__lock_atalk_dgram_sendmsg+45}
       <ffffffff802d9fd6>{sock_sendmsg+240}
<ffffffff8014658a>{autoremove_wake_function+0}
       <ffffffff80160719>{__pagevec_free+42} <ffffffff801639e2>{release_pages+458}
       <ffffffff801697af>{unmap_vmas+1293} <ffffffff802db7e4>{sys_sendto+232}
       <ffffffff8016ca70>{remove_vma+110} <ffffffff8010a7ba>{system_call+126}

Code: 4c 8b 32 0f b7 f5 8b 4c 24 0c 8d 74 0e 0c 48 8d 4c 24 4c 41
RIP <ffffffff8832b47f>{:appletalk:atalk_sendmsg+300} RSP <ffff810164127c08>
CR2: 0000000000000000
 ip_tables: (C) 2000-2006 Netfilter Core Team
Since this is a production server I have not tried an older kernel yet.
Thanks,
Chuck Weber


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-07-05 15:39:44 EDT
Sorry for the delay in processing this bug report - I was on vacation.

The bug appears to be in the appletalk kernel module, where a null pointer
gets dereferenced - moving to kernel. 

I can confirm that the FC-5 netatalk-2.0.3-4.2.1 and the latest FC-5 Updates
netatalk-2.0.4-5.fc5 works OK with simple AFS home directory sharing on an i386.

What netatalk services are you using ? Please append your /etc/atalk/* 
configuration files to this bug or send them to me: jvdias@redhat.com
and I'll try to reproduce this problem here - thanks!
Comment 2 Dave Jones 2006-10-16 17:33:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:21:57 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.